Skip to content

查询订单列表

分页查询订单列表。

请求

GET /open-api/v1/orders

请求参数

参数类型必填说明
merchantIdlong商户 ID,不传则返回所有授权商户的订单
storeIdlong门店 ID
userIdlongApp 用户映射 ID
statusint订单状态(见下方状态说明)
pageNoint页码,默认 1
pageSizeint每页条数,默认 10

响应

响应参数

字段类型说明
listarray订单列表
list[].orderIdlong订单 ID
list[].orderNostring订单号
list[].merchantNamestring商户名称
list[].storeNamestring门店名称
list[].totalAmountint总金额(分)
list[].statusint状态
list[].statusDescstring状态描述
list[].createTimestring创建时间
totallong总记录数

订单状态说明

状态值说明
0待支付
1已支付
2服务中
3已完成
4已取消
5已退款

响应示例

json
{
  "code": 0,
  "msg": "success",
  "data": {
    "list": [
      {
        "orderId": 9001,
        "orderNo": "MM20260310000001",
        "merchantName": "示例美容店",
        "storeName": "朝阳旗舰店",
        "totalAmount": 29900,
        "status": 1,
        "statusDesc": "已支付",
        "createTime": "2026-03-10T15:00:00+08:00"
      }
    ],
    "total": 1,
    "pageNo": 1,
    "pageSize": 10
  }
}

商数通开放平台